View Issue Details

IDProjectCategoryView StatusLast Update
0000992OpenFOAM[All Projects] Bugpublic2017-03-31 15:21
ReporterdkxlsAssigned Tohenry 
PrioritylowSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
PlatformLinux x86_64OSopenSUSEOS Version12.2
Product Version 
Fixed in Version 
Summary0000992: [KinematicCloud]: The function Foam::KinematicCloud<CloudType>::penetration requires 'position0'
DescriptionThe function Foam::KinematicCloud<CloudType>::penetration requires 'position0', which is only defined for the parcel type 'SprayParcel'.
Thus the penetration function should belong to SprayCloud and not KinematicCloud, as it can only be used there.
Additional InformationIt should be noted that the ECN [1] defines the liquid penetration differently as:
"Maximum distance from the nozzle outlet to the farthest axial position for 0.1% liquid volume fraction, averaged over a volume of 1 mm in diameter and 1 mm in axial length."

[1] Engine Combustion Network: http://www.sandia.gov/ecn/cvdata/compMeth/modelStandards.php
TagsNo tags attached.

Activities

henry

2016-02-02 19:54

manager   ~0005884

Resolved in OpenFOAM-dev by commit 0ac1fb80288cad57bc038e0adc2a8199d372d502

Sorry about the delay in dealing with this.

Issue History

Date Modified Username Field Change
2013-09-04 16:18 dkxls New Issue
2016-02-02 19:54 henry Note Added: 0005884
2016-02-02 19:54 henry Status new => resolved
2016-02-02 19:54 henry Resolution open => fixed
2016-02-02 19:54 henry Assigned To => henry